﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TileView
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            MyDataContext context = new MyDataContext();
            context.TileItems = GenerateTileItems();
           this.DataContext = context;
        }

        private List<TileItem> GenerateTileItems()
        {
            List<TileItem> result = new List<TileItem>();

            for (int j = 1; j < 6; j++)
            {
                TileItem item = new TileItem() { Header = String.Format("Header {0}", j) };

                for (int i = 0; i < 10; i++)
                {
                    item.DataItems.Add(new DataItem()
                    {
                        Address = String.Format("Address {0}", i),
                        Name = String.Format("Name {0}", i)
                    });
                }

                result.Add(item);
            }
            return result;
        }

        private void RadTileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            RadTileViewItem item = e.Source as RadTileViewItem;

            if (item != null)
            {
                IList<RadFluidContentControl> mylist = item.ChildrenOfType<RadFluidContentControl>();
                if (mylist.Count > 0 && mylist[0] != null)
                {
                    RadFluidContentControl contentControl = mylist[0];
                    switch (item.TileState)
                    {
                        case TileViewItemState.Maximized:
                            contentControl.State = FluidContentControlState.Large;
                            break;
                        case TileViewItemState.Minimized:
                            contentControl.State = FluidContentControlState.Small;
                            break;
                        case TileViewItemState.Restored:
                            contentControl.State = FluidContentControlState.Normal;
                            break;
                    }
                }
            }
        }
    }

}
